# Uses of Interface
com.sun.mirror.declaration.PackageDeclaration

Packages that use PackageDeclaration
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of PackageDeclaration in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return PackageDeclaration
Modifier and Type
Method
Description
`PackageDeclaration`
AnnotationProcessorEnvironment.`getPackage(String name)`
Returns the declaration of a package given its fully qualified name.

## Uses of PackageDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return PackageDeclaration
Modifier and Type
Method
Description
`PackageDeclaration`
TypeDeclaration.`getPackage()`
Returns the package within which this type is declared.

## Uses of PackageDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type PackageDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitPackageDeclaration(PackageDeclaration d)`
Visits a package declaration.
`void`
SimpleDeclarationVisitor.`visitPackageDeclaration(PackageDeclaration d)`
Visits a package declaration.